Skip to main content
DELETE
/
v1beta
/
documents
/
{document_id}
/
share
/
{recipient_id}
TypeScript
import { Factify } from "@factify/sdk";

const factify = new Factify({
  bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});

async function run() {
  const result = await factify.sharing.revoke({
    documentId: "doc_01h2xcejqtf2nbrexx3vqjhp41",
    recipientId: "user_01h2xcejqtf2nbrexx3vqjhp41",
  });

  console.log(result);
}

run();
{
  "error": "<string>",
  "success": true
}

Documentation Index

Fetch the complete documentation index at: https://developers.factify.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer , where is your auth token.

Path Parameters

document_id
string
required

Document ID.

Pattern: ^doc_[0-9a-hjkmnp-tv-z]{26}$
Example:

"doc_01h2xcejqtf2nbrexx3vqjhp41"

recipient_id
string
required

Recipient ID (TypeID: user_xxx or bot_xxx).

Pattern: ^(user|bot)_[0-9a-hjkmnp-tv-z]{26}$
Example:

"user_01h2xcejqtf2nbrexx3vqjhp41"

Response

Success

RevokeDocumentAccessResponse contains the result of revoking access.

error
string

Error message if the revocation failed.

success
boolean

Whether the revocation succeeded.